Subject: Re: [PATCH] doc: git-add.txt: convert to new style convention

From: Junio C Hamano <[email-masked]>
Date: Wed, 13 Nov 2024 07:41:02 +0900

Jean-Noël Avila <[email-masked]> writes:

>> This does slightly more than converting to new style, though,
>> doesn't it?  Is it so annoying to see a link that points at the same
>> page you are reading right now to warrant duplicating some docs with
>> conditional inclusion?
> ...
> This was already performed for git-clone (ebb55042a4) and git-init
> (e7b3a7683c). Should it be separated in a dedicated commit?

My comment came primarily as a reaction to seeing this change that
was not part of what the proposed log message said.  As you say, as
a separate and orthogonal thing, we could make it a separate commit.
But it also is perfectly fine if the log message explained that we
are doing this independent change "while we are at it".

Thanks.